:root{
    --color-bg1: rgb(108, 0, 162);
    --color-bg2: rgb(0, 17, 82);
    --color1: 46, 96, 214;
    --color3: 231, 52, 71;
    --circle-size: 100vw;
    --blending: hard-light;
}

@keyframes moveDiagonalDown {
    0% {
        transform: translate(0, 0);
    }
    50% {
        transform: translate(70vw, 70vh);
    }
    100% {
        transform: translate(0, 0);
    }
}

@keyframes moveDiagonalUp {
    0% {
        transform: translate(0, 0);
    }
    50% {
        transform: translate(-70vw, -70vh);
    }
    100% {
        transform: translate(0, 0);
    }
}

.gradient-bg {
    width: 101vw;
    height: 100vh;
    min-height: 100vh;
    position: fixed;
    overflow: hidden;
    background: linear-gradient(45deg, #2b2b2d, #39393B, #2b2b2d);
    top: 0;
    z-index: -10;
}

.filter{
    display: none;
}

.gradients-container{
    filter: url(#goo) blur(40px);
    width: 100%;
    height: 100%;
    margin-top: 35px;
}

.g1{
    position: absolute;
    background: radial-gradient(circle at center, rgba(var(--color1), 1) 0, rgba(var(--color1), 0) 50%) no-repeat;
    mix-blend-mode: var(--blending);

    width: var(--circle-size);
    height: var(--circle-size);
    top: calc(15vh - var(--circle-size) / 2);
    left: calc(15vw - var(--circle-size) / 2);

    animation: moveDiagonalDown 40s ease-in-out infinite;
    border-radius: 50%;
}

.g3{
    position: absolute;
    background: radial-gradient(circle at center, rgba(var(--color3), 1) 0, rgba(var(--color3), 0) 50%) no-repeat;
    mix-blend-mode: var(--blending);

    width: var(--circle-size);
    height: var(--circle-size);
    top: calc(85vh - var(--circle-size) / 2);
    left: calc(85vw - var(--circle-size) /2);

    animation: moveDiagonalUp 40s ease-in-out infinite;
    border-radius: 50%;
}
